Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.util
Class MondrianConnectionBean

    java.lang.Object
      com.jaspersoft.jasperserver.util.ResourceBean
          com.jaspersoft.jasperserver.util.OlapClientConnectionBean
              com.jaspersoft.jasperserver.util.MondrianConnectionBean

    public class MondrianConnectionBean

extends OlapClientConnectionBean

Version:
  $Id: MondrianConnectionBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  tkavanagh

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.util.OlapClientConnectionBean
`CONN_TYPE_MONDRIAN, CONN_TYPE_XMLA`

Constructor Summary
`MondrianConnectionBean()`

Method Summary
`DataSourceBean` | `getDataSource()`
`FileResourceBean` | `getSchema()`
`void` | `setDataSource(DataSourceBean dataSource)`
`void` | `setSchema(FileResourceBean schema)`

Methods inherited from class com.jaspersoft.jasperserver.util.OlapClientConnectionBean
`getConnectionType, setConnectionType`

Methods inherited from class com.jaspersoft.jasperserver.util.ResourceBean
`getCreationDate, getDescription, getIsNew, getIsUriReference, getLabel, getName, getParentFolder, getProductReleaseVersion, getResourceBeanType, getResourceType, getUriString, getVersion, setCreationDate, setDescription, setIsNew, setIsUriReference, setLabel, setName, setParentFolder, setProductReleaseVersion, setResourceBeanType, setResourceType, setUriString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MondrianConnectionBean

    public MondrianConnectionBean()

Method Detail

### getDataSource

    public DataSourceBean getDataSource()

### setDataSource

    public void setDataSource(DataSourceBean dataSource)

### getSchema

    public FileResourceBean getSchema()

### setSchema

    public void setSchema(FileResourceBean schema)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.